import 'package:flutter/material.dart';
import 'package:hello_dhs/SDB/Tokens/Typo.dart';
import 'package:hello_dhs/SDB/Tokens/colors.dart';
import 'package:hello_dhs/SDB/Tokens/shadows.dart';
class WeButton extends StatelessWidget {
  final String  text;
  final VoidCallback  method;
  WeButton (
      {Key  key,
        this.text,
        this.method
      }   
      ):super(key:key);
  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Padding(
      padding: EdgeInsets.symmetric(
          horizontal: 0.0,
          vertical: 10.0
      ),
      child: RaisedButton(
        onPressed: method,
        textColor: TEXT_WHITE,
        padding: const EdgeInsets.all(0.0),
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(20.0)),
        child: Container(
          decoration: const BoxDecoration(
            boxShadow: SHADOW_01,
            color: BRAND_PRIMARY
          ),
          padding: const EdgeInsets.all(10.0),
          child:  Text(this.text, style: TextStyle(fontSize: BUTTON_TEXT_SIZE, color: TEXT_WHITE), ),
        ),
      ),
    );
  }
}
